Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
JSON_Generator_StateStruct Struct Reference

`#include <generator.h>`

## Data Fields
char * | indent
long | indent_len
char * | space
long | space_len
char * | space_before
long | space_before_len
char * | object_nl
long | object_nl_len
char * | array_nl
long | array_nl_len
FBuffer * | array_delim
FBuffer * | object_delim
FBuffer * | object_delim2
long | max_nesting
char | allow_nan
char | ascii_only
char | quirks_mode
long | depth
long | buffer_initial_length

## Detailed Description

Definition at line 59 of file generator.h.

## Field Documentation

char JSON_Generator_StateStruct::allow_nan

Definition at line 74 of file generator.h.

Referenced by generate_json_float().

FBuffer* JSON_Generator_StateStruct::array_delim

Definition at line 70 of file generator.h.

Referenced by cState_init_copy(), generate_json_array(), and State_free().

char* JSON_Generator_StateStruct::array_nl

Definition at line 68 of file generator.h.

Referenced by cState_init_copy(), generate_json_array(), and State_free().

long JSON_Generator_StateStruct::array_nl_len

Definition at line 69 of file generator.h.

Referenced by cState_init_copy(), and generate_json_array().

char JSON_Generator_StateStruct::ascii_only

Definition at line 75 of file generator.h.

Referenced by generate_json_string().

long JSON_Generator_StateStruct::buffer_initial_length

Definition at line 78 of file generator.h.

long JSON_Generator_StateStruct::depth

Definition at line 77 of file generator.h.

Referenced by generate_json_array(), and generate_json_object().

char* JSON_Generator_StateStruct::indent

Definition at line 60 of file generator.h.

Referenced by cState_init_copy(), generate_json_array(), generate_json_object(), and State_free().

long JSON_Generator_StateStruct::indent_len

Definition at line 61 of file generator.h.

Referenced by cState_init_copy(), generate_json_array(), and generate_json_object().

long JSON_Generator_StateStruct::max_nesting

Definition at line 73 of file generator.h.

Referenced by generate_json_array(), and generate_json_object().

FBuffer* JSON_Generator_StateStruct::object_delim

Definition at line 71 of file generator.h.

Referenced by cState_init_copy(), generate_json_object(), and State_free().

FBuffer* JSON_Generator_StateStruct::object_delim2

Definition at line 72 of file generator.h.

Referenced by cState_init_copy(), generate_json_object(), and State_free().

char* JSON_Generator_StateStruct::object_nl

Definition at line 66 of file generator.h.

Referenced by cState_init_copy(), generate_json_object(), and State_free().

long JSON_Generator_StateStruct::object_nl_len

Definition at line 67 of file generator.h.

Referenced by cState_init_copy(), and generate_json_object().

char JSON_Generator_StateStruct::quirks_mode

Definition at line 76 of file generator.h.

char* JSON_Generator_StateStruct::space

Definition at line 62 of file generator.h.

Referenced by cState_init_copy(), and State_free().

char* JSON_Generator_StateStruct::space_before

Definition at line 64 of file generator.h.

Referenced by cState_init_copy(), and State_free().

long JSON_Generator_StateStruct::space_before_len

Definition at line 65 of file generator.h.

Referenced by cState_init_copy().

long JSON_Generator_StateStruct::space_len

Definition at line 63 of file generator.h.

Referenced by cState_init_copy().

The documentation for this struct was generated from the following file:

- ext/json/generator/generator.h